Bug 491953 - Xorg uses 100% cpu with nouveau and GeForce 8400 GS
Xorg uses 100% cpu with nouveau and GeForce 8400 GS
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
i686 Linux
high Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 15:23 EDT by Gene Stuckey
Modified: 2009-08-24 20:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-24 20:04:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log with nouveau driver (30.99 KB, text/plain)
2009-03-24 15:23 EDT, Gene Stuckey
no flags Details
radeontool-nv output for nouveau driver (8.76 KB, text/plain)
2009-03-24 15:24 EDT, Gene Stuckey
no flags Details
radeontool-nv output for nv driver (8.76 KB, text/plain)
2009-03-24 15:25 EDT, Gene Stuckey
no flags Details
Xorg.0.log without modeset (32.21 KB, application/octet-stream)
2009-03-26 15:01 EDT, Gene Stuckey
no flags Details
Xorg.0.log with modeset=1 (51.28 KB, application/octet-stream)
2009-03-26 15:01 EDT, Gene Stuckey
no flags Details
radeontool-nv output without modeset (8.76 KB, text/plain)
2009-03-26 15:02 EDT, Gene Stuckey
no flags Details
radeontool-nv output with modeset=1 (8.76 KB, text/plain)
2009-03-26 15:03 EDT, Gene Stuckey
no flags Details

  None (edit)
Description Gene Stuckey 2009-03-24 15:23:50 EDT
Created attachment 336529 [details]
Xorg.0.log with nouveau driver

Description of problem:
  X does not start on boot using the nouveau driver.

Version-Release number of selected component (if applicable):
  up-to-date rawhide.
  Also tried:
    xorg-x11-drv-nouveau-0.0.12-15.20090323git4067ab4.fc11.i586


How reproducible:
  Always.

Steps to Reproduce:
1. use nouveau driver
2. boot
3.
  
Actual results:
  No display.
  Xorg process uses ~100% of the CPU.

Expected results:
  Display.

Additional info:
  03:00.0 VGA compatible controller [0300]: nVidia Corporation GeForce 8400 GS [10de:06e4] (rev a1)

  It seems to work correctly with the nv driver.
Comment 1 Gene Stuckey 2009-03-24 15:24:57 EDT
Created attachment 336530 [details]
radeontool-nv output for nouveau driver
Comment 2 Gene Stuckey 2009-03-24 15:25:26 EDT
Created attachment 336531 [details]
radeontool-nv output for nv driver
Comment 3 Gene Stuckey 2009-03-26 14:17:05 EDT
When I boot with nouveau.modeset=1, then it works fine (so far at least).

this is with:
  xorg-x11-drv-nouveau-0.0.12-16.20090326git01cee29.fc11.i586
  kernel-2.6.29-0.258.rc8.git2.fc11.i586
Comment 4 Gene Stuckey 2009-03-26 15:01:13 EDT
Created attachment 336868 [details]
Xorg.0.log without modeset
Comment 5 Gene Stuckey 2009-03-26 15:01:45 EDT
Created attachment 336869 [details]
Xorg.0.log with modeset=1
Comment 6 Gene Stuckey 2009-03-26 15:02:18 EDT
Created attachment 336871 [details]
radeontool-nv output without modeset
Comment 7 Gene Stuckey 2009-03-26 15:03:12 EDT
Created attachment 336872 [details]
radeontool-nv output with modeset=1
Comment 8 Ben Skeggs 2009-04-09 01:01:07 EDT
Are you able to attempt this again with the most recent versions of both the kernel and xorg-x11-drv-nouveau and report what you see?

Thanks!
Comment 9 Gene Stuckey 2009-04-09 19:46:49 EDT
I've tried with the latest rawhide with the same behavior as noted before. It works with nouveau.modeset=1, but without that, Xorg consumes 100% of the CPU and it remains a blank screen.

  kernel-2.6.29.1-54.fc11.i586
  xorg-x11-drv-nouveau-0.0.12-25.20090408gitd8545e6.fc11.i586
Comment 10 Bug Zapper 2009-06-09 08:34:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Ben Skeggs 2009-08-23 20:37:55 EDT
Kernel modesetting is now the preferred and default path in rawhide, the userspace modesetting paths are now considered deprecated upstream, so closing this as fixed in rawhide.
Comment 12 Adam Williamson 2009-08-24 19:46:36 EDT
see comment on 492892.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.